Index: scripts/ChangeLog
===================================================================
--- scripts/ChangeLog	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/ChangeLog	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -1,2 +1,12 @@
+2001-09-13	Joel Sherrill <joel@OARcorp.com>
+
+	* mkgccnewlibspec.in, 
+	Use Target_alias not target_alias to avoid conflicts with new autoconf.
+	* setup.def: Changed version numbers in attempt at building gcc 3.0.1.
+	Only sparc and arm built for C/C++ OK. :(
+	* gccnewlib/base-gcc.add: Modifications to reflect files not in gcc 3.x.
+	* gccnewlib/gccnewlib.add: gcc 3.x does not have "everything in the name"
+	* target-gcc.add: Modifications to reflect files not in gcc 3.1
+
 2001-09-13	Joel Sherrill <joel@OARcorp.com>
 
Index: scripts/gccnewlib/base-gcc.add
===================================================================
--- scripts/gccnewlib/base-gcc.add	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/gccnewlib/base-gcc.add	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -25,8 +25,12 @@
 %dir /opt/rtems/man
 %dir /opt/rtems/man/man1
-%doc /opt/rtems/man/man1/cccp.1
+# not in gcc 3.x -- only in gcc 2.x
+# %doc /opt/rtems/man/man1/cccp.1
 
 %dir /opt/rtems/include
-/opt/rtems/include/g++-3
+# gcc 3.0.1 specific
+/opt/rtems/include/g++-v3
+# gcc 2.x specific
+# /opt/rtems/include/g++-3
 
 %post -n rtems-base-gcc
Index: scripts/gccnewlib/gccnewlib.add
===================================================================
--- scripts/gccnewlib/gccnewlib.add	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/gccnewlib/gccnewlib.add	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -19,5 +19,8 @@
 
 Version:      	gcc@gcc_version@newlib@newlib_version@
-Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-everything-@gcc_version@.tar.gz
+# gcc 3.x and gcc 2.9 
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-@gcc_version@.tar.bz2
+# gcc 2.95.x
+#Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-everything-@gcc_version@.tar.bz2
 Source1:	ftp://sourceware.cygnus.com/pub/newlib/newlib-@newlib_version@.tar.gz
 Patch0:		gcc-@gcc_version@-rtems-@gcc_patch_version@.diff
Index: scripts/gccnewlib/target-gcc.add
===================================================================
--- scripts/gccnewlib/target-gcc.add	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/gccnewlib/target-gcc.add	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -21,6 +21,7 @@
 /opt/rtems/bin/@target_alias@-g++@exe_ext@
 /opt/rtems/bin/@target_alias@-gcc@exe_ext@
-/opt/rtems/bin/@target_alias@-protoize@exe_ext@
-/opt/rtems/bin/@target_alias@-unprotoize@exe_ext@
+# not in gcc 3.x 
+# /opt/rtems/bin/@target_alias@-protoize@exe_ext@
+# /opt/rtems/bin/@target_alias@-unprotoize@exe_ext@
 
 %dir /opt/rtems/lib/gcc-lib/@target_alias@/@gcc_version@/include
Index: scripts/mkgccnewlibspec.in
===================================================================
--- scripts/mkgccnewlibspec.in	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/mkgccnewlibspec.in	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -56,8 +56,8 @@
 . ./$CFG
 
-specfile=${dst}/$target_alias-gcc-${gcc_version}-newlib-${newlib_version}.spec
+specfile=${dst}/${target_alias}-gcc-${gcc_version}-newlib-${newlib_version}.spec
 
 sed -e "s%@Release@%${gccnewlib_rpm_release}%g" \
-    -e "s%@target_alias@%${target_alias}%g" \
+    -e "s%@Target_alias@%${target_alias}%g" \
     -e "s%@rpm_build_root@%${rpm_build_root}%g" \
     -e "s%@gcc_version@%${gcc_version}%g" \
Index: scripts/setup.def
===================================================================
--- scripts/setup.def	(revision a3ac20f7bba5237b69ee9521871767f8c007b290)
+++ scripts/setup.def	(revision a8bd1dea77a27cabb59afe9621ad5649b18cd8ab)
@@ -9,6 +9,6 @@
 newlib_version=1.9.0
 newlib_patch_version=20010622
-gcc_version=2.95.3
-gcc_patch_version=20010622a
+gcc_version=3.0.1
+gcc_patch_version=20010905
 gccnewlib_rpm_release=1
 gdb_version=5.0
